Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.writer.internal
Class TIFFImageWriter

    java.lang.Object
      org.apache.xmlgraphics.image.writer.AbstractImageWriter
          org.apache.xmlgraphics.image.writer.internal.TIFFImageWriter

All Implemented Interfaces:
  ImageWriter

    public class TIFFImageWriter

extends AbstractImageWriter

ImageWriter implementation that uses the internal TIFF codec to write TIFF files.

Version:
  $Id: TIFFImageWriter.java 1681108 2015-05-22 13:26:12Z ssteiner $

Constructor Summary
`TIFFImageWriter()`

Method Summary
`MultiImageWriter` | `createMultiImageWriter(OutputStream out)` Creates a MultiImageWriter instance that lets you put multiple pages into a single file if the format supports it.
`String` | `getMIMEType()`
`boolean` | `supportsMultiImageWriter()`
`void` | `writeImage(RenderedImage image, OutputStream out)` Encodes an image and writes it to an OutputStream.
`void` | `writeImage(RenderedImage image, OutputStream out, ImageWriterParams params)` Encodes an image and writes it to an OutputStream.

Methods inherited from class org.apache.xmlgraphics.image.writer.AbstractImageWriter
`isFunctional`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFImageWriter

    public TIFFImageWriter()

Method Detail

### writeImage

    public void writeImage(RenderedImage image,
                           OutputStream out)
                    throws IOException

  Encodes an image and writes it to an OutputStream.

  Parameters:
    `image` - the image to be encoded
    `out` - the OutputStream to write to
  Throws:
    `IOException` - In case of an /IO problem

### writeImage

    public void writeImage(RenderedImage image,
                           OutputStream out,
                           ImageWriterParams params)
                    throws IOException

  Encodes an image and writes it to an OutputStream.

  Parameters:
    `image` - the image to be encoded
    `out` - the OutputStream to write to
    `params` - a parameters object to customize the encoding.
  Throws:
    `IOException` - In case of an /IO problem

### getMIMEType

    public String getMIMEType()

  Returns:
    the target MIME type supported by this ImageWriter

### createMultiImageWriter

    public MultiImageWriter createMultiImageWriter(OutputStream out)
                                            throws IOException

  Creates a MultiImageWriter instance that lets you put multiple pages into a single file if the format supports it.

  Specified by:
    `createMultiImageWriter` in interface `ImageWriter`
  Overrides:
    `createMultiImageWriter` in class `AbstractImageWriter`
  Parameters:
    `out` - the OutputStream to write the image to
  Returns:
    the requested MultiImageWriter instance
  Throws:
    `IOException` - In case of an /IO problem
  See Also:
    `ImageWriter.createMultiImageWriter( java.io.OutputStream)`

### supportsMultiImageWriter

    public boolean supportsMultiImageWriter()

  Specified by:
    `supportsMultiImageWriter` in interface `ImageWriter`
  Overrides:
    `supportsMultiImageWriter` in class `AbstractImageWriter`
  Returns:
    true if the implemented format supports multiple pages in a single file
  See Also:
    `ImageWriter.supportsMultiImageWriter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.